Get Agent Task
curl --request POST \
--url https://api.example.com/a2a/agents/{id}/v1/tasks:get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": "request-123",
"method": "tasks/get",
"params": {
"id": "task-456",
"contextId": "context-789"
}
}
'import requests
url = "https://api.example.com/a2a/agents/{id}/v1/tasks:get"
payload = {
"jsonrpc": "2.0",
"id": "request-123",
"method": "tasks/get",
"params": {
"id": "task-456",
"contextId": "context-789"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 'request-123',
method: 'tasks/get',
params: {id: 'task-456', contextId: 'context-789'}
})
};
fetch('https://api.example.com/a2a/agents/{id}/v1/tasks:get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "request-123",
"jsonrpc": "2.0",
"result": {
"contextId": "context-789",
"id": "task-456",
"kind": "task",
"status": {
"state": "completed"
}
}
}{
"detail": "Bad request",
"error_code": "BAD_REQUEST"
}{
"detail": "Unauthenticated access",
"error_code": "UNAUTHENTICATED"
}{
"detail": "Insufficient permissions"
}{
"detail": "Not found",
"error_code": "NOT_FOUND"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "Operation not supported for this resource type"
}A2A
Get Agent Task
Get the status and result of an agent task by ID. params.contextId identifies the session containing the task.
POST
/
a2a
/
agents
/
{id}
/
v1
/
tasks:get
Get Agent Task
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Represents a JSON-RPC request for the tasks/get method.
Response
Agent task retrieved successfully
Was this page helpful?
⌘I